lockbydist.d(1m)

NAME
lockbydist.d - lock distrib. by process name. Uses DTrace.

SYNOPSIS
lockbydist.d

DESCRIPTION
lockbydist.d is a DTrace OneLiner to a report the time threads have spent blocked on adaptive mutexes, by process name. A distribution is printed to illustrate the number of blocks at different lengths in time. This helps us identify if there are many short blocks, or fewer large blocks. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # lockbydist.d

FIELDS

process name
    The process name. There may be several PIDs that have the same process name, for example with numerous instances of "bash". The value reported will be the sum of them all.

value
    The blocked time in nanoseconds

count
    The number of occurrences that were at least this size

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
lockbydist.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
lockstat(1M), dtrace(1M)